{ pkgs, ... }:

{
  services.gpg-agent = {
    enable = true;
    enableZshIntegration = true;
    pinentryPackage = pkgs.pinentry-curses;
    enableSshSupport = true;
    sshKeys = [
      "AEB2BF3FF9CF9529E9A3C6F1A202D21686FF9278"
    ];
    defaultCacheTtl = 3600 * 12;
    defaultCacheTtlSsh = 3600 * 12;
    maxCacheTtl = 3600 * 12;
    maxCacheTtlSsh = 3600 * 12;
    extraConfig = ''
      allow-loopback-pinentry
    '';
  };

  programs.gpg = {
    enable = true;
    mutableKeys = false;
    mutableTrust = false;
    settings = {
      pinentry-mode = "loopback";
    };
    publicKeys = [
      {
        source = ./molez.pub.asc;
        trust = "ultimate";
      }
      {
        source = ./vi-bim.pub.asc;
        trust = "ultimate";
      }
      {
        source = ./horsch.pub.asc;
        trust = "ultimate";
      }
    ];
  };
}
